Package Details: joplin-beta-appimage 3.0.8-1

Git Clone URL: https://aur.archlinux.org/joplin-beta-appimage.git (read-only, click to copy)
Package Base: joplin-beta-appimage
Description: The latest beta AppImage of Joplin - a cross-platform note taking and to-do app
Upstream URL: https://github.com/laurent22/joplin
Keywords: joplin notes office to-do
Licenses: MIT
Conflicts: joplin-appimage, joplin-beta, joplin-desktop
Submitter: bacteriostat
Maintainer: bacteriostat
Last Packager: bacteriostat
Votes: 4
Popularity: 0.087279
First Submitted: 2022-09-01 07:09 (UTC)
Last Updated: 2024-05-23 05:06 (UTC)

Latest Comments

bacteriostat commented on 2024-03-19 10:16 (UTC) (edited on 2024-03-19 10:47 (UTC) by bacteriostat)

Edit: I have fixed the issue. For more details see: https://gitlab.archlinux.org/pacman/pacman/-/issues/107

Hi, There seems to be an issue arising with pacman 6.1.0-3 resulting in the following errror:

This doesn't look like a squashfs image.

Cannot mount AppImage, please check your FUSE setup.
You might still be able to extract the contents of this AppImage 
if you run it with the --appimage-extract option. 
See https://github.com/AppImage/AppImageKit/wiki/FUSE 
for more information
open dir error: No such file or directory

Building the package with pacman 6.0.2-9 works.

The issue happens because install -Dm755 "${_filename}" "${pkgdir}/${_install_path} doesn't work properly and installs a corrupted file.

An easy fix is to replace the corrupted AppImage file at /opt/appimages/ with the correct AppImage (with mode 755).

I am using paru and so this is how I could fix it:

sudo install -Dm755 ~/.cache/paru/clone/joplin-beta-appimage/Joplin-2.14.20.AppImage /opt/appimages/Joplin.AppImage